Skip to main content
GET
/
v1
/
apps
/
{id}
Retrieve an App
curl --request GET \
  --url https://api.leanrails.com/v1/apps/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "app_xxx",
  "object": "app",
  "developer_id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "distribution_type": "public",
  "status": "draft",
  "version": "<string>",
  "install_count": 123,
  "livemode": true,
  "created": 123,
  "updated": 123,
  "description": "<string>",
  "short_description": "<string>",
  "icon_url": "<string>",
  "homepage_url": "<string>",
  "privacy_policy_url": "<string>",
  "support_url": "<string>",
  "requested_scopes": [
    "<string>"
  ],
  "redirect_uris": [
    "<string>"
  ],
  "webhook_url": "<string>",
  "webhook_events": [
    "<string>"
  ],
  "webhook_secret": "<string>",
  "category": "<string>",
  "review_notes": "<string>",
  "reviewed_at": 123,
  "reviewed_by": "<string>",
  "rejection_reason": "<string>",
  "published_at": 123,
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Path Parameters

id
string
required

The App ID.

Response

The App.

id
string
required
Example:

"app_xxx"

object
enum<string>
required
Available options:
app
developer_id
string
required
name
string
required
slug
string
required
distribution_type
enum<string>
required
Available options:
public,
private
status
enum<string>
required
Available options:
draft,
in_review,
published,
rejected
version
string
required
install_count
integer
required
livemode
boolean
required
created
integer
required

Unix timestamp.

updated
integer
required

Unix timestamp.

description
string | null
short_description
string | null
icon_url
string<uri> | null
homepage_url
string<uri> | null
privacy_policy_url
string<uri> | null
support_url
string<uri> | null
requested_scopes
string[]
redirect_uris
string<uri>[]
webhook_url
string<uri> | null
webhook_events
string[]
webhook_secret
string | null
category
string | null
review_notes
string | null
reviewed_at
integer | null
reviewed_by
string | null
rejection_reason
string | null
published_at
integer | null
metadata
object